/* DO NOT EDIT THIS FILE - it is machine generated */
#include <jni.h>
/* Header for class linkedlogics_offheap_LongKeyConcurrentHashMap */

#ifndef _Included_linkedlogics_offheap_LongKeyConcurrentHashMap
#define _Included_linkedlogics_offheap_LongKeyConcurrentHashMap
#ifdef __cplusplus
extern "C" {
#endif
    /*
     * Class:     linkedlogics_offheap_LongKeyConcurrentHashMap
     * Method:    put
     * Signature: (IJ[BI)Z
     */
    JNIEXPORT jboolean JNICALL Java_linkedlogics_offheap_LongKeyConcurrentHashMap_put__IJ_3BI
    (JNIEnv *, jobject, jint, jlong, jbyteArray, jint);

    /*
     * Class:     linkedlogics_offheap_LongKeyConcurrentHashMap
     * Method:    put
     * Signature: (IJ[BJI)Z
     */
    JNIEXPORT jboolean JNICALL Java_linkedlogics_offheap_LongKeyConcurrentHashMap_put__IJ_3BJI
    (JNIEnv *, jobject, jint, jlong, jbyteArray, jlong, jint);

    /*
     * Class:     linkedlogics_offheap_LongKeyConcurrentHashMap
     * Method:    get
     * Signature: (IJ)[B
     */
    JNIEXPORT jbyteArray JNICALL Java_linkedlogics_offheap_LongKeyConcurrentHashMap_get
    (JNIEnv *, jobject, jint, jlong);

    /*
     * Class:     linkedlogics_offheap_LongKeyConcurrentHashMap
     * Method:    remove
     * Signature: (IJ)Z
     */
    JNIEXPORT jboolean JNICALL Java_linkedlogics_offheap_LongKeyConcurrentHashMap_remove__IJ
    (JNIEnv *, jobject, jint, jlong);

    /*
     * Class:     linkedlogics_offheap_LongKeyConcurrentHashMap
     * Method:    remove
     * Signature: (IJI)Z
     */
    JNIEXPORT jboolean JNICALL Java_linkedlogics_offheap_LongKeyConcurrentHashMap_remove__IJI
    (JNIEnv *, jobject, jint, jlong, jint);

    /*
     * Class:     linkedlogics_offheap_LongKeyConcurrentHashMap
     * Method:    suspendEviction
     * Signature: (I)V
     */
    JNIEXPORT void JNICALL Java_linkedlogics_offheap_LongKeyConcurrentHashMap_suspendEviction
    (JNIEnv *, jobject, jint);

    /*
     * Class:     linkedlogics_offheap_LongKeyConcurrentHashMap
     * Method:    resumeEviction
     * Signature: (I)V
     */
    JNIEXPORT void JNICALL Java_linkedlogics_offheap_LongKeyConcurrentHashMap_resumeEviction
    (JNIEnv *, jobject, jint);

    /*
     * Class:     linkedlogics_offheap_LongKeyConcurrentHashMap
     * Method:    consumeEvictions
     * Signature: (I)J
     */
    JNIEXPORT jlong JNICALL Java_linkedlogics_offheap_LongKeyConcurrentHashMap_consumeEvictions
    (JNIEnv *, jobject, jint);

    /*
     * Class:     linkedlogics_offheap_LongKeyConcurrentHashMap
     * Method:    consumeEvictionsNonBlocking
     * Signature: (I)J
     */
    JNIEXPORT jlong JNICALL Java_linkedlogics_offheap_LongKeyConcurrentHashMap_consumeEvictionsNonBlocking
    (JNIEnv *, jobject, jint);

    /*
     * Class:     linkedlogics_offheap_LongKeyConcurrentHashMap
     * Method:    createMap
     * Signature: ()I
     */
    JNIEXPORT jint JNICALL Java_linkedlogics_offheap_LongKeyConcurrentHashMap_createMap__
    (JNIEnv *, jobject);

    /*
     * Class:     linkedlogics_offheap_LongKeyConcurrentHashMap
     * Method:    createMap
     * Signature: (I)I
     */
    JNIEXPORT jint JNICALL Java_linkedlogics_offheap_LongKeyConcurrentHashMap_createMap__I
    (JNIEnv *, jobject, jint);

    /*
     * Class:     linkedlogics_offheap_LongKeyConcurrentHashMap
     * Method:    size
     * Signature: (I)J
     */
    JNIEXPORT jlong JNICALL Java_linkedlogics_offheap_LongKeyConcurrentHashMap_size
    (JNIEnv *, jobject, jint);

    JNIEXPORT jlong JNICALL Java_linkedlogics_offheap_LongKeyConcurrentHashMap_sizeInBytes
    (JNIEnv *, jobject, jint);

    /*
     * Class:     linkedlogics_offheap_LongKeyConcurrentHashMap
     * Method:    reset
     * Signature: (II)V
     */
    JNIEXPORT void JNICALL Java_linkedlogics_offheap_LongKeyConcurrentHashMap_reset
    (JNIEnv *, jobject, jint, jint);

#ifdef __cplusplus
}
#endif
#endif
